## org.hibernate.event
Interface PreDeleteEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BeanValidationEventListener, JACCPreDeleteEventListener

    public interface PreDeleteEventListener

extends Serializable

Called before deleting an item from the datastore

Author:
  Gavin King

Method Summary
`boolean` `onPreDelete(PreDeleteEvent event)` Return true if the operation should be vetoed

Method Detail

### onPreDelete

    boolean onPreDelete(PreDeleteEvent event)

  Return true if the operation should be vetoed

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.